<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: autocellJDV.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">autocellJDV.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="autocell_j_d_v_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef AUTOCELLJDV_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define AUTOCELLJDV_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="autocell1_d_8h.html">autocell1D.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="class_auto_cell_j_d_v.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_auto_cell_j_d_v.html">AutoCellJDV</a> : <span class="keyword">public</span> QWidget{ <span class="comment">// vérifier que l&#39;on utilise tout</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;Q_OBJECT</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="comment">// Informations sur l&#39;automate</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    QSpinBox* numMinA; <span class="comment">// numéro</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    QLabel* numMinAl;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    QVBoxLayout* numMinAc;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    QSpinBox* numMaxA; <span class="comment">// numéro</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    QLabel* numMaxAl;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    QVBoxLayout* numMaxAc;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    QHBoxLayout* numerosA;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    QSpinBox* numMinD; <span class="comment">// numéro</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    QLabel* numMinDl;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    QVBoxLayout* numMinDc;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    QSpinBox* numMaxD; <span class="comment">// numéro</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    QLabel* numMaxDl;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    QVBoxLayout* numMaxDc;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    QHBoxLayout* numerosD;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="comment">// Taille du tableau d&#39;etats</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    QLabel* largeurL;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    QSpinBox* largeur;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    QLabel* hauteurL;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    QSpinBox* hauteur;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    QPushButton* validDimensions;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    QHBoxLayout* dimensions;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    QTableWidget* etats;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> taille = 20;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> larg, haut;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="comment">// Generateur d&#39;etat</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    QComboBox* generateur;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    QComboBox* chargementBox;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    QPushButton* generer;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    QHBoxLayout* generateurL;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="comment">// Simulation</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    QTimer* timer;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    QDoubleSpinBox* pas; <span class="comment">// numéro</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    QLabel* pasl;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    QHBoxLayout* simulationPas;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    QPushButton* simulationEtape;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    QPushButton* simulationClik;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    QPushButton* arretSimulation;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    QPushButton* resetSimulation;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    QVBoxLayout* pasc;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="comment">//Sauvegarder et charger avec XML</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    QLineEdit* nomAutomate;<span class="comment">//pour le fichier xml</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    QPushButton* sauverAutomate;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    QPushButton* chargerAutomate;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    QPushButton* validerAutomate;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    QHBoxLayout* sauvCharg;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="comment">// Layout</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    QVBoxLayout* couche;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_auto_cell_j_d_v.html">AutoCellJDV</a>(QWidget* parent = <span class="keyword">nullptr</span>);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="keyword">private</span> slots:</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="comment">// Etats</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> cellActivation(<span class="keyword">const</span> QModelIndex&amp; index);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordtype">void</span> setSizeTable();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordtype">void</span> genererEtat();</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="comment">//Simulation</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> launchSimulation();</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordtype">void</span> launchSimulationEtape();</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keywordtype">void</span> reset();</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordtype">void</span> arret();</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="comment">//SauvCharg</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> saveAutomate(); </div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">void</span> validateAutomate(); </div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keywordtype">void</span> chargeAutomate();</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;};</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">#endif // AUTOCELLJDV_H</span></div><div class="ttc" id="autocell1_d_8h_html"><div class="ttname"><a href="autocell1_d_8h.html">autocell1D.h</a></div><div class="ttdoc">Documentation de notre interface pour l&amp;#39;automate une dimension. </div></div>
<div class="ttc" id="class_auto_cell_j_d_v_html"><div class="ttname"><a href="class_auto_cell_j_d_v.html">AutoCellJDV</a></div><div class="ttdoc">Classe qui cree l&amp;#39;interface de l&amp;#39;automate2D jeu de la vie. </div><div class="ttdef"><b>Definition:</b> autocellJDV.h:20</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
